DeepFellow DOCS

Create Speech

Generate audio from the input text.

POST
/v1/audio/speech
AuthorizationBearer <token>

In: header

Header Parameters

OpenAI-Organization?Openai-Organization

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?Openai-Project

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

inputInput

The text to generate audio for. The maximum length is 4096 characters.

Lengthlength <= 4096
modelModel

One of the available TTS models.

voiceVoice

The voice to use when generating the audio.

instructions?Instructions

Control the voice of your generated audio with additional instructions.

Default""
Lengthlength <= 4096
format?Format

The format to audio in. Supported formats are mp3, opus, aac, flac, wav, and pcm.

Default"mp3"
Value in"mp3" | "opus" | "aac" | "flac" | "wav" | "pcm"
speed?Speed

The speed of the generated audio. Select a value from 0.25 to 4.0. 1.0 is the default.

Default1
Range0.25 <= value <= 4
stream_format?Stream Format

The format to stream the audio in. Supported formats are sse and audio. sse is not supported for tts-1 or tts-1-hd.

Default"audio"
Value in"sse" | "audio"

Response Body

curl -X POST "https://loading/v1/audio/speech" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -H "Content-Type: application/json" \  -d '{    "input": "string",    "model": "string",    "voice": "string"  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.